Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class ObjectGraphBuilder.DefaultChildPropertySetter

    java.lang.Object
      groovy.util.ObjectGraphBuilder.DefaultChildPropertySetter

All Implemented Interfaces:
  ChildPropertySetter

    public static class ObjectGraphBuilder.DefaultChildPropertySetter

Default impl that calls parent.propertyName = child
If parent.propertyName is a Collection it will try to add child to the collection.

Method Summary
`void` | `setChild(Object parent, Object child, String parentName, String propertyName)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### setChild

    public void setChild(Object parent, Object child, String parentName, String propertyName)

Copyright © 2003-2010 The Codehaus. All rights reserved.